require 'yaml'

# When this file is loaded, for each fixture file, a singleton method is
# created within the Sir::Fixtures module with the same name as the fixture
# file, returning the value of the fixture.
#
module Sir::Fixtures; end

fixtures_path = File.expand_path('../../fixtures', __FILE__)

Dir[File.expand_path('*.yml', fixtures_path)].each do |filename|
  const_name = File.basename(filename, '.*').upcase
  Sir::Fixtures.const_set(const_name, YAML.load_file(filename))
end
